# Agent Deployment

## Prerequisites

1. Create namespace:
```bash
kubectl apply -f namespace.yaml
```

2. Copy registry secret to agents namespace:
```bash
kubectl get secret gitea-registry -n control-plane -o yaml | \
  sed 's/namespace: control-plane/namespace: agents/' | \
  kubectl apply -f -
```

3. Create agent secrets (replace with actual values):
```bash
kubectl create secret generic agent-secrets -n agents \
  --from-literal=anthropic-api-key='YOUR_ANTHROPIC_API_KEY' \
  --from-literal=gitea-token='159a5de2a16d15f33e388b55b1276e431dbca3f3'
```

## Deploy

```bash
kubectl apply -f deployment.yaml
```

## Verify

```bash
kubectl get pods -n agents
kubectl logs -f -n agents deployment/claude-agent
```

## Check agent registration

```bash
curl -s https://api.fuq.tv/api/agents | jq
```
